Bug 445209 - Aperture too small (32 MB) message using most recent kernels.
Aperture too small (32 MB) message using most recent kernels.
Status: CLOSED DUPLICATE of bug 443104
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-05 10:36 EDT by l33t
Modified: 2009-01-10 15:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:28:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description l33t 2008-05-05 10:36:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.14) Gecko/20080416 Fedora/2.0.0.14-1.fc8 Firefox/2.0.0.14

Description of problem:
Dear Sirs:

Summary of problem.
Upgrading to kernel-2.6.24.4-64.fc8 causes my system to report these messages in 
/var/log/messages.
May  5 07:49:55 l33t-linux kernel: Checking aperture...
May  5 07:49:55 l33t-linux kernel: CPU 0: aperture @ 71c8000000 size 32 MB
May  5 07:49:55 l33t-linux kernel: Aperture too small (32 MB)
May  5 07:49:55 l33t-linux kernel: No AGP bridge found
May  5 07:49:55 l33t-linux kernel: Your BIOS doesn't leave a aperture memory hole
May  5 07:49:55 l33t-linux kernel: Please enable the IOMMU option in the BIOS setup
May  5 07:49:55 l33t-linux kernel: This costs you 64 MB of RAM
May  5 07:49:55 l33t-linux kernel: Mapping aperture over 65536 KB of RAM @ c000000
May  5 07:49:55 l33t-linux kernel: Memory: 4058768k/4980736k available (2491k kernel code, 133996k reserved, 1390k data, 332k init)
May  5 07:49:55 l33t-linux kernel: SLUB: Genslabs=12, HWalign=64, Order=0-1, MinObjects=4, CPUs=2, Nodes=1
#
Specifics (Additional Problem description, List of System Hardware).
Using the previous kernel of kernel-2.6.24.3-50.fc8, I do not see any error messages like this.
#
Using the newest kernel kernel-2.6.24.5-85.fc8, I see the same error messages in /var/log/messages.
#
Unfortunately, upgrading to the newest kernel-2.6.24.5-85.fc8, wiped out my good kernel of kernel-2.6.24.3-50.fc8. I am actively searching the internet for kernel-2.6.24.3-50.fc8 to replace my lost good kernel.
I will repeat once again - I did not have any problems or issues when I was using kernel-2.6.24.3-50.fc8.
#
Description of Hardware.
MB ECS KA3 MVP (V1.0A) 580X CS AM2
CPU AMD|A64 X2 6000 3.0G AM2 2x1M R
MEM 2Gx2|GSK F2-6400CL6D-4GBMQ %
MNTR VWSNC|LCD 22" 5MS DVI VG2230WM
VGA ASUS EN8600GTS/G/HTDP/256M
(2)HD 500G|WD 7K 16M ATA100 WD5000AAKB
HD 40G|WD 7K 2M ATA100 WD400BB %
FD 1.44MB|SONY MPF920 Black %
NIC INTEL|PWLA8391GTBLK GIGABIT 1PC
DVD BURN HP|DVD1040I LS RT




Version-Release number of selected component (if applicable):
kernel-2.6.24.4-64.fc8

How reproducible:
Always


Steps to Reproduce:
1. Go to Grub Menu.
2. Select kernel-2.6.24.4-64.fc8 or Select kernel-2.6.24.5-85.fc8.
3. Error of Aperture too small (32 MB) shows up in /var/log/messages.
4. Go to Grub Menu.
5. Select kernel-2.6.24.3-50.fc8.
6. No error messages show up in /var/log/messages.

Actual Results:
By Selecting between kernel-2.6.24.4-64.fc8 or Select kernel-2.6.24.5-85.fc8,
I can reproduce the error of Aperture too small (32 MB) at will.

By Selecting the good kernel of kernel-2.6.24.3-50.fc8, I can make the error go away.

Expected Results:
I should not have received the error message of Aperture too small (32 MB) because I have a VGA ASUS EN8600GTS/G/HTDP/256M using a PCI Express x16 slot.

Additional info:
I have heard on the internet that x86_64 AMD systems with 4 Gigabyte Ram will encounter problems similar to what I am seeing. Let me state emphatically that I did not have these problems using kernel-2.6.24.3-50.fc8 and previous kernels. I do not feel that I should have to tweak my configuration just because of a kernel upgrade.
Thank you,
Comment 1 Chuck Ebbert 2008-05-06 22:57:27 EDT
What problems does this error message cause?
Comment 2 l33t 2008-05-07 10:29:09 EDT
Dear Sirs:

Other than a perceived longer boot time (I haven't timed it or run benchmarks),
I have not detected any performance hit to applications, graphics, or system
functions. I assigned the bug a low status because it appears, at this time, to
be merely an annoyance.

Thank you,
Comment 3 l33t 2008-06-06 20:04:44 EDT
After updating to kernel-2.6.25.4-10.fc8, a new error message is displayed:
"Aperture beyond 4GB. Ignoring."

No detectable performance degradation at this time.

Jun  6 18:32:50 l33t-linux kernel: time.c: Detected 3006.807 MHz processor.
Jun  6 18:32:50 l33t-linux kernel: Console: colour VGA+ 80x25
Jun  6 18:32:50 l33t-linux kernel: console [tty0] enabled
Jun  6 18:32:50 l33t-linux kernel: Checking aperture...
Jun  6 18:32:50 l33t-linux kernel: Node 0: aperture @ f1c8000000 size 32 MB
Jun  6 18:32:50 l33t-linux kernel: Aperture beyond 4GB. Ignoring.
Jun  6 18:32:50 l33t-linux kernel: No AGP bridge found
Jun  6 18:32:50 l33t-linux kernel: Your BIOS doesn't leave a aperture memory hole
Jun  6 18:32:50 l33t-linux kernel: Please enable the IOMMU option in the BIOS setup
Jun  6 18:32:50 l33t-linux kernel: This costs you 64 MB of RAM
Jun  6 18:32:50 l33t-linux kernel: Mapping aperture over 65536 KB of RAM @ c000000
Jun  6 18:32:50 l33t-linux kernel: PM: Registered nosave memory:
000000000c000000 - 0000000010000000
Jun  6 18:32:50 l33t-linux kernel: Memory: 4058556k/4980736k available (2632k
kernel code, 134208k reserved, 1413k data, 344k init)

On the first boot after installing kernel-2.6.25.4-10.fc8, a new error message
is displayed:

"Aperture pointing to e820 RAM. Ignoring."

Jun  6 17:11:06 l33t-linux kernel: time.c: Detected 3006.813 MHz processor.
Jun  6 17:11:06 l33t-linux kernel: Console: colour VGA+ 80x25
Jun  6 17:11:06 l33t-linux kernel: console [tty0] enabled
Jun  6 17:11:06 l33t-linux kernel: Checking aperture...
Jun  6 17:11:06 l33t-linux kernel: Node 0: aperture @ c000000 size 32 MB
Jun  6 17:11:06 l33t-linux kernel: Aperture pointing to e820 RAM. Ignoring.
Jun  6 17:11:06 l33t-linux kernel: No AGP bridge found
Jun  6 17:11:06 l33t-linux kernel: Your BIOS doesn't leave a aperture memory hole
Jun  6 17:11:06 l33t-linux kernel: Please enable the IOMMU option in the BIOS setup
Jun  6 17:11:06 l33t-linux kernel: This costs you 64 MB of RAM
Jun  6 17:11:06 l33t-linux kernel: Mapping aperture over 65536 KB of RAM @ c000000
Jun  6 17:11:06 l33t-linux kernel: PM: Registered nosave memory:
000000000c000000 - 0000000010000000
Jun  6 17:11:06 l33t-linux kernel: Memory: 4058556k/4980736k available (2632k
kernel code, 134208k reserved, 1413k data, 344k in
        
These two new error messages appear to happen alternatively.
Comment 4 Jack Tanner 2008-08-12 17:01:10 EDT
dupe of bug 443104
Comment 5 Bug Zapper 2008-11-26 05:38:42 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 01:28:10 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Till Maas 2009-01-10 15:33:14 EST

*** This bug has been marked as a duplicate of bug 443104 ***

Note You need to log in before you can comment on or make changes to this bug.